[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.CopyTo

Copy data to destination stream

## Declaration

Source position: classesh.inc line 1045

`public function TStreamAdapter.CopyTo(`
`stm: IStream;`
`cb: Largeint;`
`out cbRead: Largeint;`
`out cbWritten: Largeint`
`):HRESULT; virtual;`

## Description

CopyTo implements #rtl.types.IStream.CopyTo.

## Errors

This function must be overridden and will raise a runerror 217 when called directly.

Documentation generated on: Feb 26 2014